<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE topic PUBLIC "-//OASIS//DTD DITA Topic//EN" "topic.dtd">
<topic id="oxy-is-editable-element">
  <title>oxy:is-editable-element() Function</title>
  <prolog>
    <metadata>
      <keywords>
        <indexterm>oxy:is-required-element function</indexterm>
      </keywords>
    </metadata>
  </prolog>
  <body>
    <p id="p_ff4_bgk_54b">This function checks if the element returned by the given XPath expression
      is editable (content can be inserted in it), meaning both that the entire XML file is editable
      and that the current context where the element is placed is editable. For example, if the
      element is inside an <term>xi:included</term> section, it is not editable.</p>
    <p id="p_gf4_bgk_54b">It only has one argument, an XPath expression, and the XPath expression must be written in
      such a way that it returns a single element.</p>
    <p id="p_hf4_bgk_54b"><b><u>Example: <term>oxy:is-editable-element</term>
      Function</u></b><codeblock  id="codeblock_if4_bgk_54b">oxy:is-editable-element(ancestor-or-self::table)</codeblock></p>
    <p id="p_jf4_bgk_54b">This example would return <term>true</term> if the cursor is placed inside
      a table and it is editable or <term>false</term> if it is not editable.</p>
  </body>
</topic>
